curl --request POST \
--url 'https://api.stateset.com/api/v1/gl/journal-entries' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"auto_post": null,
"description": "string",
"entry_date": "string",
"entry_type": null,
"lines": [
{
"account_id": "string",
"credit_amount": null,
"debit_amount": null,
"description": null
}
]
}'
{
"created_at": "string",
"description": "string",
"entry_date": "string",
"entry_number": "string",
"entry_type": "string",
"id": "string",
"is_balanced": true,
"lines": [
{
"account_id": "string",
"account_name": null,
"account_number": null,
"credit_amount": "string",
"currency": "string",
"debit_amount": "string",
"description": null,
"id": "string",
"line_number": 1
}
],
"period_id": "string",
"posted_at": null,
"posted_by": null,
"reversed_entry_id": null,
"reversing_entry_id": null,
"source": "string",
"status": "string",
"total_credits": "string",
"total_debits": "string"
}
Create a journal entry
Create a journal entry
POST
/
api
/
v1
/
gl
/
journal-entries
curl --request POST \
--url 'https://api.stateset.com/api/v1/gl/journal-entries' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"auto_post": null,
"description": "string",
"entry_date": "string",
"entry_type": null,
"lines": [
{
"account_id": "string",
"credit_amount": null,
"debit_amount": null,
"description": null
}
]
}'
{
"created_at": "string",
"description": "string",
"entry_date": "string",
"entry_number": "string",
"entry_type": "string",
"id": "string",
"is_balanced": true,
"lines": [
{
"account_id": "string",
"account_name": null,
"account_number": null,
"credit_amount": "string",
"currency": "string",
"debit_amount": "string",
"description": null,
"id": "string",
"line_number": 1
}
],
"period_id": "string",
"posted_at": null,
"posted_by": null,
"reversed_entry_id": null,
"reversing_entry_id": null,
"source": "string",
"status": "string",
"total_credits": "string",
"total_debits": "string"
}
Request body
CreateJournalEntryRequest
boolean,null
Post immediately after creation when balanced.
string
required
string
required
Entry date in
YYYY-MM-DD format. Must fall in an open period.string,null
One of
standard, adjusting, closing, reversing, opening.CreateJournalEntryLineRequest[]
required
Responses
JournalEntryResponse
ErrorBody
ErrorBody
curl --request POST \
--url 'https://api.stateset.com/api/v1/gl/journal-entries' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"auto_post": null,
"description": "string",
"entry_date": "string",
"entry_type": null,
"lines": [
{
"account_id": "string",
"credit_amount": null,
"debit_amount": null,
"description": null
}
]
}'
{
"created_at": "string",
"description": "string",
"entry_date": "string",
"entry_number": "string",
"entry_type": "string",
"id": "string",
"is_balanced": true,
"lines": [
{
"account_id": "string",
"account_name": null,
"account_number": null,
"credit_amount": "string",
"currency": "string",
"debit_amount": "string",
"description": null,
"id": "string",
"line_number": 1
}
],
"period_id": "string",
"posted_at": null,
"posted_by": null,
"reversed_entry_id": null,
"reversing_entry_id": null,
"source": "string",
"status": "string",
"total_credits": "string",
"total_debits": "string"
}
โI